<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE DDDB SYSTEM "../../DTD/geometry.dtd">
<DDDB>
  <!-- *  Author: K. Vervink * -->
  
  <logvol name="lvITT2Station"  material = "Air">
    <subtraction name="ITT2Mother">   
      <box name = "ITT2Station" 
	   sizeX ="StationWidth" 
	   sizeY="T2StationHeight" 
	   sizeZ="StationThickness" /> 
      <tubs name = "T2BeamPipe" 
	    sizeZ = "StationThickness+Eps" 
	    innerRadius ="0.0*mm" 
	    outerRadius ="ITT2MRFirst" />
    </subtraction> 
  
    <physvol logvol="/dd/Geometry/AfterMagnetRegion/T/IT/Support/SupportLayerRight/T2SupportRightLayer/lvT2SupportRight"
	     name="pvT2SupportRight">
       <posXYZ x="-142.675*cm" y="0.0*cm" z="0.0*cm"/>
    </physvol>
  
    <physvol logvol="/dd/Geometry/AfterMagnetRegion/T/IT/Support/SupportLayerLeft/T2SupportLeftLayer/lvT2SupportLeft" 
	     name="pvT2SupportLeft">
       <posXYZ x="142.675*cm" y="0.0*cm" z="0.0*cm"/>
    </physvol>
 
    <physvol logvol="/dd/Geometry/AfterMagnetRegion/T/IT/Support/lvRightCenterBox" 
	     name="pvT2RightCenterBox">
       <posXYZ x="-26.15*cm" y="59.85*cm" z="-6.6781*cm"/>
    </physvol>
  
    <physvol logvol="/dd/Geometry/AfterMagnetRegion/T/IT/Support/lvRightSideBox" 
	     name="pvT2RightSideBox">
       <posXYZ x="-46.25*cm" y="-52.6425*cm" z="-9.04315*cm"/>
    </physvol>
  
    <physvol logvol="/dd/Geometry/AfterMagnetRegion/T/IT/Support/lvRight2Box" 
	     name="pvT2Right2DownBox">
       <posXYZ x="-44.9*cm" y="-202.1764*cm" z="1.43735*cm"/>
    </physvol>
  
    <physvol logvol="/dd/Geometry/AfterMagnetRegion/T/IT/Support/lvRight2Box" 
	     name="pvT2Right2UpBox">
       <posXYZ x="-44.9*cm" y="-154.1764*cm" z="1.43735*cm"/>
    </physvol>

    <physvol logvol="/dd/Geometry/AfterMagnetRegion/T/IT/Support/lvRight3Box" 
	     name="pvT2Right3Box">
       <posXYZ x="-8.0*cm" y="-178.1764*cm" z="1.43735*cm"/>
    </physvol>
  
    <physvol logvol="/dd/Geometry/AfterMagnetRegion/T/IT/Support/lvLeftCenterBox" 
	     name="pvT2LeftCenterBox">
       <posXYZ x="26.9*cm" y="-93.7266*cm" z="9.0441*cm"/>
    </physvol>
  
    <physvol logvol="/dd/Geometry/AfterMagnetRegion/T/IT/Support/lvT2LeftCenter2" 
	     name="pvT2LeftCenter2">
       <posXYZ x="-15.5*cm" y="-56.1257*cm" z="-1.37035*cm"/>
    </physvol>

    <physvol logvol="/dd/Geometry/AfterMagnetRegion/T/IT/Support/lvLeftSideBox" 
	     name="pvT2LeftSideBox">
       <posXYZ x="46.25*cm" y="-48.6152*cm" z="-7.59465*cm"/>
    </physvol>

   <physvol logvol="/dd/Geometry/AfterMagnetRegion/T/IT/Support/lvLeft2Box" 
	     name="pvT2Left2DownBox">
       <posXYZ x="44.9*cm" y="-202.4291*cm" z="1.43735*cm"/>
    </physvol>

    <physvol logvol="/dd/Geometry/AfterMagnetRegion/T/IT/Support/lvLeft2Box" 
	     name="pvT2Left2UpBox">
       <posXYZ x="44.9*cm" y="-154.4291*cm" z="1.43735*cm"/>
    </physvol>

    <physvol logvol="/dd/Geometry/AfterMagnetRegion/T/IT/Support/lvLeft3Box" 
	     name="pvT2Left3Box">
       <posXYZ x="8.0*cm" y="-178.4291*cm" z="1.43735*cm"/>
    </physvol>
  
    <physvol logvol="/dd/Geometry/AfterMagnetRegion/T/IT/lvITFullSideBox"
             name="pvITRightBox">
      <transformation>
	<posXYZ x="0.0*cm" y="0.0*cm" z="0.0*cm"/>
	<rotXYZ rotX="180.0*degree" rotY="0.0*degree" rotZ="0.0*degree"/> 
	<posXYZ x="(-40.7+0.15)*cm" y="-10.1971*cm" z="-2.8*cm"/>
      </transformation>
    </physvol>
  
    <physvol logvol="/dd/Geometry/AfterMagnetRegion/T/IT/lvITFullCenterBox"
             name="pvITTopBox">
      <posXYZ x="-2.5*cm" y="26.8497*cm" z="5.4995*cm"/>
    </physvol>
    
    <physvol logvol="/dd/Geometry/AfterMagnetRegion/T/IT/lvITFullSideBox"
             name="pvITLeftBox">
      <transformation>
	<posXYZ x="0.0*cm" y="0.0*cm" z="0.0*cm"/>
	<rotXYZ rotX="0.0*degree" rotY="0.0*degree" rotZ="180.0*degree"/> 
	<posXYZ x="(40.7-0.15)*cm" y="-10.1971*cm" z="-2.8*cm"/>
      </transformation>
    </physvol>

    <physvol logvol="/dd/Geometry/AfterMagnetRegion/T/IT/lvITFullCenterBox"
             name="pvITBottomBox">
      <transformation>
	<posXYZ x="0.0*cm" y="0.0*cm" z="0.0*cm"/>
	<rotXYZ rotX="0.0*degree" rotY="0.0*degree" rotZ="180.0*degree"/>
	<posXYZ x="2.5*cm" y="-26.7993*cm" z="5.4995*cm"/>
      </transformation> 
    </physvol>

    <physvol logvol="/dd/Geometry/AfterMagnetRegion/T/IT/Support/lvCoolR4"
             name="pvT2CoolR4">
       <posXYZ x="-80.4*cm" y="-18.91435*cm" z="7.14915*cm"/>
    </physvol>
  
    <physvol logvol="/dd/Geometry/AfterMagnetRegion/T/IT/Support/lvCoolR5"
             name="pvT2CoolR5">
       <posXYZ x="-79.775*cm" y="39.36065*cm" z="7.14915*cm"/>
    </physvol>
  
    <physvol logvol="/dd/Geometry/AfterMagnetRegion/T/IT/Support/lvCoolR6"
             name="pvT2CoolR6">
       <posXYZ x="-50.5991*cm" y="86.08565*cm" z="-1.37035*cm"/>
    </physvol>
  
    <physvol logvol="/dd/Geometry/AfterMagnetRegion/T/IT/Support/lvCoolR7"
             name="pvT2CoolR7">
       <posXYZ x="-32.9732*cm" y="71.19145*cm" z="-1.37035*cm"/>
    </physvol>
  
    <physvol logvol="/dd/Geometry/AfterMagnetRegion/T/IT/Support/lvCoolR9"
             name="pvT2CoolR9">
       <posXYZ x="-74.4*cm" y="-133.07835*cm" z="-1.37035*cm"/>
    </physvol>
  
    <physvol logvol="/dd/Geometry/AfterMagnetRegion/T/IT/Support/lvCoolR10"
             name="pvT2CoolR10">
       <posXYZ x="-67.775*cm" y="-91.1981*cm" z="-1.37035*cm"/>
    </physvol>
 
    <physvol logvol="/dd/Geometry/AfterMagnetRegion/T/IT/Support/lvSigR4"
             name="pvT2SigR4">
       <posXYZ x="-36.85*cm" y="76.0736*cm" z="-4.11045*cm"/>
    </physvol>
  
    <physvol logvol="/dd/Geometry/AfterMagnetRegion/T/IT/Support/lvT2SigR5"
             name="pvT2SigR5">
       <posXYZ x="1.65*cm" y="55.3728*cm" z="-4.11045*cm"/>
    </physvol>
 
    <physvol logvol="/dd/Geometry/AfterMagnetRegion/T/IT/Support/lvT2SigR6"
             name="pvT2SigR6">
      <posXYZ x="-2.5*cm" y="45.1986*cm" z="-4.11045*cm"/>
    </physvol>  
 
     <physvol logvol="/dd/Geometry/AfterMagnetRegion/T/IT/Support/lvSigR7"
              name="pvT2SigR7">
       <posXYZ x="-47.75*cm" y="-129.4264*cm" z="-4.11045*cm"/>
    </physvol>

    <physvol logvol="/dd/Geometry/AfterMagnetRegion/T/IT/Support/lvT2SigR8"
              name="pvT2SigR8">
       <posXYZ x="-40.7*cm" y="-42.9264*cm" z="-4.6775*cm"/>
    </physvol>

    <physvol logvol="/dd/Geometry/AfterMagnetRegion/T/IT/Support/lvT2SigR9"
              name="pvT2SigR9">
       <posXYZ x="-43.4*cm" y="-210.7041*cm" z="-4.11045*cm"/>
    </physvol>

    <physvol logvol="/dd/Geometry/AfterMagnetRegion/T/IT/Support/lvT2CoolL3"
             name="pvT2CoolL3">
       <posXYZ x="55.9*cm" y="-175.8772*cm" z="-2.27935*cm"/>
    </physvol>
  
    <physvol logvol="/dd/Geometry/AfterMagnetRegion/T/IT/Support/lvCoolL4"
             name="pvT2CoolL4">
       <posXYZ x="30.775*cm" y="-120.328173*cm" z="-2.27935*cm"/>
    </physvol>
  
    <physvol logvol="/dd/Geometry/AfterMagnetRegion/T/IT/Support/lvCoolL8"
             name="pvT2CoolL8">
       <posXYZ x="77.775*cm" y="-107.29025*cm" z="-2.27935*cm"/>
    </physvol>
  
    <physvol logvol="/dd/Geometry/AfterMagnetRegion/T/IT/Support/lvCoolL7"
             name="pvT2CoolL7">
       <posXYZ x="79.4*cm" y="-149.92775*cm" z="-2.27935*cm"/>
    </physvol>

    <physvol logvol="/dd/Geometry/AfterMagnetRegion/T/IT/Support/lvT2SigL1"
             name="pvT2SigL1">
       <posXYZ x="20.75*cm" y="-162.6258*cm" z="-5.83195*cm"/>
    </physvol>
  
    <physvol logvol="/dd/Geometry/AfterMagnetRegion/T/IT/Support/lvT2SigL2"
             name="pvT2SigL2">
      <posXYZ x="2.75*cm" y="-85.3758*cm" z="-5.02749*cm"/>
    </physvol>

    <physvol logvol="/dd/Geometry/AfterMagnetRegion/T/IT/Support/lvT2SigL3"
             name="pvT2SigL3">
       <posXYZ x="2.5*cm" y="-48.4503*cm" z="-5.02749*cm"/>
    </physvol>
  
    <physvol logvol="/dd/Geometry/AfterMagnetRegion/T/IT/Support/lvT2SigL5"
             name="pvT2SigL5">
       <posXYZ x="63.35*cm" y="-178.1864*cm" z="-5.83195*cm"/>
    </physvol>
  
    <physvol logvol="/dd/Geometry/AfterMagnetRegion/T/IT/Support/lvSigL6"
             name="pvT2SigL6">
       <posXYZ x="54.15*cm" y="-110.9264*cm" z="-5.83195*cm"/>
    </physvol>

    <physvol logvol="/dd/Geometry/AfterMagnetRegion/T/IT/Support/lvT2SigL7"
             name="pvT2SigL7">
       <posXYZ x="40.6*cm" y="-48.4264*cm" z="-5.83195*cm"/>
    </physvol>

    <physvol logvol="/dd/Geometry/AfterMagnetRegion/T/IT/Support/lvT2SigL8"
             name="pvT2SigL8">
       <posXYZ x="46.5*cm" y="-210.7041*cm" z="-5.83195*cm"/>
    </physvol>

  </logvol>
</DDDB>
